<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
				<SCRIPT language="Javascript">
JBOD_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raidjb"/>;
RAID0_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid0"/>;
RAID1_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid1"/>;
RAID5_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid5"/>;
RAID10_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid10"/>;
RAID50_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid50"/>;
RAID6_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid6"/>;
hideCount=1;//form hidden component count
DriveCapV2=<xsl:value-of select="hpt_raidman_page/driverCapV2"/>;
rjwb=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/back"/>;
rjwt=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/through"/>;
rjno=<xsl:value-of select="hpt_raidman_page/cacheindex/raidjb/none"/>;
r0wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/back"/>;
r0wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/through"/>;
r0no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid0/none"/>;
r1wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/back"/>;
r1wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/through"/>;
r1no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid1/none"/>;
r5wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/back"/>;
r5wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/through"/>;
r5no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid5/none"/>;
r10wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/back"/>;
r10wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/through"/>;
r10no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid10/none"/>;
r50wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/back"/>;
r50wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/through"/>;
r50no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid50/none"/>;
r6wb=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/back"/>;
r6wt=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/through"/>;
r6no=<xsl:value-of select="hpt_raidman_page/cacheindex/raid6/none"/>;

function ChangeCachePolicyOptions(wb, wt, no){
	with (document.forms[0]){
		elements[hideCount+3].options.length = 0;
		var index = 0;
		if(wb){
			elements[hideCount+3].options[index] =  new Option("Write Back","Write Back");
			index++;
		}
		if(wt){
    			elements[hideCount+3].options[index] = new Option("Write Through","Write Through");
			index++
		}
    		if(no){
    			elements[hideCount+3].options[index] = new Option("None", "None");
			index++;
		}
	}
}

function selectall(){
	var theform = document.arrayform;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox")
			theform.elements[i].checked=true;
  	}
	
}

function OnArrayTypeChange(){
	with (document.forms[0]){
		if(RAID1_INDEX>-1)
		if(elements[hideCount+0].options[RAID1_INDEX].selected){
    			elements[hideCount+2].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r1wb, r1wt, r1no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=true;
		}
		if(RAID10_INDEX>-1)
		if(elements[hideCount+0].options[RAID10_INDEX].selected){
	    		elements[hideCount+2].disabled=false;
	    		if(DriveCapV2){
				ChangeCachePolicyOptions(r10wb, r10wt, r10no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=true;
		}
		if(JBOD_INDEX>-1)
		if(elements[hideCount+0].options[JBOD_INDEX].selected){
    			elements[hideCount+2].disabled=true;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(rjwb, rjwt, rjno);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=true;
    		}
    		if(RAID0_INDEX>-1)
		if(elements[hideCount+0].options[RAID0_INDEX].selected ){
    			elements[hideCount+2].disabled=true;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r0wb, r0wt, r0no);
 	   		}else{
 	   			elements[hideCount+3].disabled=true;
 	   		}
 	   		elements[hideCount+4].disabled=true;
    		}
    		if(RAID5_INDEX>-1)
		if(elements[hideCount+0].options[RAID5_INDEX].selected ){
    			elements[hideCount+2].disabled=false;
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r5wb, r5wt, r5no);
    			}
    			elements[hideCount+4].disabled=true;
		}
		if(RAID50_INDEX>-1)
		if(elements[hideCount+0].options[RAID50_INDEX].selected){
    			elements[hideCount+2].disabled=false;
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
				ChangeCachePolicyOptions(r50wb, r50wt,  r50no);
    			}
    			elements[hideCount+4].disabled=false;
		}
		if(RAID6_INDEX>-1)
		if(elements[hideCount+0].options[RAID6_INDEX].selected ){
    			elements[hideCount+2].disabled=false;
    			elements[hideCount+3].disabled=false;
    			if(DriveCapV2){
    				ChangeCachePolicyOptions(r6wb, r6wt, r6no);
    			}elements[hideCount+4].disabled=true;
		}
	}
	return true;
}

function ExamCreateArray(){
  with (document.forms[0]){
    /*if(elements[1+hideCount].value==""){
      alert("Please input the array's name.");
	  return false;
    }*/
 	//end if
	i=hideCount+5
	selectcount=0;
	found = 0;
    while(elements[i]!=0){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked) selectcount++;
	}
	i++;
    }
    if(selectcount == 0){
        alert("Please select a disk.");
        document.MM_returnValue = false;
        return false;
    }
    //end while
    if(RAID1_INDEX>-1)
    if(elements[hideCount].options[RAID1_INDEX].selected){
	   if(selectcount!=2){
		   alert("RAID 1 array can only have 2 members.");
		   document.MM_returnValue = false;
           return false;
       	   }
    }
    if(RAID0_INDEX>-1)
    if(elements[hideCount].options[RAID0_INDEX].selected){
	   if(selectcount&lt;2){
		   alert("Need at least 2 disks to create the RAID 0 array.");
		   document.MM_returnValue = false;
           return false;
           }
    }
    if(RAID5_INDEX>-1)
    if(elements[hideCount].options[RAID5_INDEX].selected){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 5 array.");
		   document.MM_returnValue = false;
           return false;
           }
    }
    if(RAID6_INDEX>-1)
    if(elements[hideCount].options[RAID6_INDEX].selected){
	   if(selectcount&lt;4){
		   alert("Need at least 4 disks to create the RAID 6 array.");
		   document.MM_returnValue = false;
           return false;
       	  }
    }
    if(RAID10_INDEX>-1)
    if(elements[hideCount].options[RAID10_INDEX].selected){
	  if(selectcount&lt;4){
	        alert("Need more disks to create the RAID 1/0 array.");
	        document.MM_returnValue = false;
	        return false;
          }
          if(selectcount%2!=0){
		   alert("RAID 1/0 array can't be created with odd disks.");
        	   document.MM_returnValue = false;
		   return false;
	  } 
    }
    if(RAID50_INDEX>-1)
    if(elements[hideCount].options[RAID50_INDEX].selected){
   	var memcnt = elements[hideCount+4].options[elements[hideCount+4].selectedIndex].text;
	  if(selectcount&lt; 6){
	        alert("Need more disks to create the RAID 5/0 array.");
	        document.MM_returnValue = false;
		return false;
	}
	if((selectcount / memcnt) &lt; 2 || (selectcount % memcnt) != 0){
		alert("Number of selected disks must be multiple of number of RAID 5 member disks.");
		document.MM_returnValue = false;
		return false;
	 }
    }
  }
  document.MM_returnValue = true;
  return true;
}</SCRIPT>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<form name="arrayform" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateArray();">
									<input type="hidden" name="func" value="CreateArray"/>
									<table id="createarraytable" width="{$pagewidth}" border="0">
										<tr>
											<td class="title" align="center">Create Array</td>
										</tr>
										<tr>
											<td class="content">
												<table border="0" cellspacing="20">
													<tr>
														<td width="100">Array Type:</td>
														<td>
															<select size="1" name="arraytype" onchange="OnArrayTypeChange();">
																<xsl:if test="hpt_raidman_page/raidindex/raidjb&gt;-1">																
																	<option selected="true">JBOD(Volume)</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid0&gt;-1">
																	<option>RAID 0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid1&gt;-1">
																	<option>RAID 1</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid5&gt;-1">
																	<option>RAID 5</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid10&gt;-1">
																	<option>RAID 1/0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid50&gt;-1">
																	<option>RAID 5/0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid6&gt;-1">
																	<option>RAID 6</option>
																</xsl:if>
															</select>
														</td>
													</tr>
													<tr>
														<td>Array Name:</td>
														<td>
															<input type="text" name="arrayname" size="16" value="Default" maxlength="15"/>
														</td>
													</tr>
													<tr>
														<td>Initialization Method:</td>
														<td>
															<select size="1" name="initmethod" disabled="true">
																<option >No Initialization</option>
																<option selected="true">Foreground</option>
																<option>Background</option>
															</select>
														</td>
													</tr>
													<tr>
														<td>Cache Policy:</td>
														<td>
															<xsl:if test="hpt_raidman_page/driverCapV2&lt;1">
																<select size="1" name="cache" disabled="true">
																	<option  selected="true">Write Back</option>
																	<option>Write Through</option>
																</select>
															</xsl:if>
															<xsl:if test="hpt_raidman_page/driverCapV2&gt;0">
																<select size="1" name="cache" >
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/back&gt;0">
																		<option  selected="true">Write Back</option>
																	</xsl:if>
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/through&gt;0">
																		<option >Write Through</option>
																	</xsl:if>
																	<xsl:if test="hpt_raidman_page/cacheindex/raidjb/none&gt;0">
																		<option >None</option>
																	</xsl:if>
																</select>
															</xsl:if>
														</td>
													</tr>
													<xsl:if test="hpt_raidman_page/raidindex/raid50&gt;-1">
													<tr>
														<td>Number of RAID5 member disks:</td>
														<td>
															<xsl:for-each select="hpt_raidman_page/hpt_raid/disks">			
															<select size="1" name="R5mem" disabled="true">
																<xsl:if test="count(disk)&lt;6">
																<option select="true">-1</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;5">
																<option select="true">3</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;7">
																<option>4</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;9">
																<option>5</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;11">
																<option>6</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;13">
																<option>7</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;15">
																<option>8</option>
																</xsl:if>
															</select>
															</xsl:for-each>
														</td>
													</tr>
													</xsl:if>
													<xsl:if test="hpt_raidman_page/raidindex/raid50=-1">
													<input type="hidden" name="stuffing" disabled="true" value="stuffing"/>
													</xsl:if>
													<tr>
														<td>Available Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td/>
																	<td/>
																	<td>Location</td>
																	<td>Model</td>
																	<td>Capacity</td>
																	<td>Max Free</td>
																</thead>
																<button style="width:100;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="selectall();return false;" name="selectallmem">Select All</button>
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																	<tr>
																		<td>
																			<input type="checkbox" name="check_{position()}" value="{@id}"/>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
																</xsl:for-each>
															</table>
														</td>
														
													</tr>
													<tr>
														<td width="100">Capacity:(According to the max free space on the selected disks)</td>
														<td>
															<input size="16" name="capacity" value="Maximum"/>(MB)</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td>
												<p align="center">
													<input type="submit" value="Create" name="Create"/>
												</p>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
