<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">
				function ClearEvent(){
						if (confirm("Are you sure to clear the event log?")==false){
	    					return false;
  						}
						document.location.href="event.cgi?userid="+userid+"&amp;func=ClearEvent";
						return true;
				}
			</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td>
								<button onclick="ClearEvent()">Clear</button>
							</td>
						</tr>
						<tr>
							<td class="title" align="center">Event View</td>
						</tr>
						<tr>
							<td class="content">
							<table id="eventtable" width="100%" border="0">
								<thead>
									<td class="head"></td>
									<td class="head" width="150">Date Time</td>
									<td class="head">Description</td>
								</thead>
								<xsl:for-each select="hpt_raidman_page/events/event">
									<tr>
										<td>
											<xsl:choose>
												<xsl:when test="type='E'">
													<img src="error.gif"/>
												</xsl:when>
												<xsl:when test="type='W'">
													<img src="warn.gif"/>
												</xsl:when>
												<xsl:otherwise>
													<img src="info.gif"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td>
											<xsl:value-of select="time"/>
										</td>
										<td>
											<xsl:value-of select="des"/>
										</td>
									</tr>
								</xsl:for-each>
							</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>