<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="pagewidth">759</xsl:variable>
	<xsl:variable name="basecolor">#008080</xsl:variable>
	<xsl:variable name="menubgcolor">#008080</xsl:variable>
	<xsl:variable name="menuselcolor">#FFCC00</xsl:variable>
	<xsl:variable name="menubdcolor">#FFCC00</xsl:variable>
	<xsl:variable name="labelbtnbgcolor">#ffffff</xsl:variable>
	<xsl:variable name="labelbtnselcolor">#FFCC00</xsl:variable>
	
	<xsl:template match="session">
		<STYLE type="text/css">TD {
	FONT-SIZE: 12px
}
TD.title {
	FONT-WEIGHT: bold; FONT-SIZE: 12pt; COLOR: #ffffff; FONT-FAMILY: Verdana, Arial; BACKGROUND-COLOR: <xsl:value-of select="$basecolor"/>
}
TD.content {
	FONT-SIZE: 8pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
FONT.error {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #CC0000; FONT-FAMILY: Verdana,Arial;
}
FONT.info {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
FONT.warn {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #FFFF00; FONT-FAMILY: Verdana,Arial;
}
FONT.title {
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #FFFFFF; FONT-FAMILY: Verdana,Arial;
}
FONT.devattribute {
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
}
FONT.menu {
	FONT-WEIGHT: bold; FONT-SIZE:10pt; COLOR: #FFFFFF; FONT-FAMILY: Verdana,Arial;
}
FONT.labelbtn {
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #0000FF; FONT-FAMILY: Verdana,Arial;
}
FONT.copyright{
	FONT-SIZE: 8pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
TD.head{
	FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: #000000; FONT-FAMILY: Verdana,Arial;
}
TD.diskattrname{
	FONT-WEIGHT: bold; FONT-SIZE:8pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
	}
FONT.normal{
	FONT-WEIGHT: bold;FONT-SIZE: 8pt; COLOR: #00CC00; FONT-FAMILY: Verdana,Arial;
}
FONT.critical{
	FONT-WEIGHT: bold;FONT-SIZE: 8pt; COLOR: #CC0000; FONT-FAMILY: Verdana,Arial;
}
FONT.highlight{
	FONT-WEIGHT: bold; FONT-SIZE:12pt; COLOR: #000080; FONT-FAMILY: Verdana,Arial;
}</STYLE>
		<SCRIPT language="Javascript">var IE = (document.all != null);
var userid="<xsl:value-of select="session_id"/>";
var islogin="<xsl:value-of select="login"/>";
function reload(){
	document.location = document.location;
	setTimeout("reload()", 240000);
}
function init() {
	if(islogin!="no"){
  		setTimeout("reload()", 240000);
	}
	<xsl:for-each select="../messages/message">
		<xsl:if test="@type='error'">ShowMessage("error","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='info'">ShowMessage("info","<xsl:value-of select="."/>");</xsl:if>
		<xsl:if test="@type='warn'">ShowMessage("warn","<xsl:value-of select="."/>");</xsl:if>
	</xsl:for-each>
}
function go_page(i) {
  var url =  i + ".cgi?"+"userid="+userid;
  HideHint();
  document.location.href = url;
}
function new_page(i) {
  window.open(i);
}
function logout(i) {
  document.location.href = "login.cgi?func=Logout"+"&amp;userid="+userid;
}

function getImagePageLeft(cell) {
  var IsKonq = (navigator.vendor == 'KDE') ? 1 : 0;
  var x = 0;
  var obj;
  if(IE)
    obj = eval('document.all.' + cell);
  else
    obj = document.getElementById(cell);
  x = obj.offsetLeft;
  while(obj.offsetParent != null) {
    obj = obj.offsetParent;
    x += obj.offsetLeft;
  }
  if(IsKonq == 1)
    x += 5;
  return x;
}
function getImagePageTop(cell) {
  var y = 0;
  var obj;
  if(IE)
    obj = eval('document.all.' + cell);
  else
    obj = document.getElementById(cell);
  y = obj.offsetTop;
  while(obj.offsetParent != null) {
    obj = obj.offsetParent;
    y += obj.offsetTop;
  }
  return y;
}
//show hint function
var onHint = null;
function ShowHint(devid, locationCell) {
  if(!IE)
	return;
  HideHint();
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft(locationCell)+24;
  y = getImagePageTop(locationCell)+24;
  var divid = "DetailDiv_" +devid;
  if(IE) {
    tmpObj = eval('document.all.' +divid+'.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  tmpObj.left = x;
  tmpObj.top = y;
  tmpObj.visibility = "visible";
  onHint = divid;
}

function HideHint() {
  var tmpObj;
  if(onHint == null)
    return;
  if(IE)
    tmpObj = eval('document.all.' + onHint + '.style');
  else
    tmpObj = document.getElementById(onHint).style;    
  tmpObj.visibility = "hidden";
  onHint = null;
}
//show array popup form to see its details.
function ShowArrayPopup(arrayid) {
  HideArrayPopup(arrayid);
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft('logicaltitle')+250;
  y = getImagePageTop('logicaltitle')+24;
  var divid = "ArrTreeDiv_"+arrayid;
  if(IE) {
    tmpObj = eval('document.all.' + divid + '.style');
  } else {
    tmpObj = document.getElementById(divid).style;
  }
  /*tmpObj.left = x;
  tmpObj.top = y;*/
  tmpObj.visibility = "visible";
}
function HideArrayPopup(arrayid) {
  var tmpObj;
  var divid = "ArrTreeDiv_"+arrayid;
  if(IE)
    tmpObj = eval('document.all.' + divid + '.style');
  else
    tmpObj = document.getElementById(divid).style;    
  tmpObj.visibility = "hidden";
}
//Show menu function
var menuactive = 0;
var timeon = null;
var onmenu = null;
var overitem = ""

function ShowMenu(menuname, menucell) {
  HideMenu();
  var tmpObj;
  var x;
  var y;
  x = getImagePageLeft(menucell)-1;
  y = getImagePageTop(menucell) + 16;
  if(IE) {
    tmpObj = eval('document.all.' + menuname + '.style');
  } else {
	tmpObj = document.getElementById(menuname).style;
  }
  tmpObj.left = x;
  tmpObj.top = y;
  tmpObj.visibility = "visible";
  mnuactive = 1;
  onmenu = menuname;
}
function HideMenu() {
  var tmpObj;
  if(onmenu == null)
    return;
  if(IE)
    tmpObj = eval('document.all.' + onmenu + '.style');
  else
    tmpObj = document.getElementById(onmenu).style;    
  tmpObj.visibility = "hidden";
  clearTimeout(timeon);
  onmenu = null;
}
function timerHideMenu() {
  if(menuactive == 0)
    timeon = setTimeout("HideMenu()", 400);
}
function OverItem(item, level) {
  var tmpObj;
  if( (overitem == item) || (level > 0) )
    clearTimeout(timeon);
  overitem = item;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$menuselcolor"/>';
}
function OutItem(item, level) {
  var tmpObj;
  if(level > 0)
    menuactive = 0;
  if(onmenu != null)
    timerHideMenu();
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$basecolor"/>';
}
function OverLabelBtn(item) {
  var tmpObj;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$labelbtnselcolor"/>';
}
function OutLabelBtn(item) {
  var tmpObj;
  if(IE)
    tmpObj = eval('document.all.' + item);
  else
    tmpObj = document.getElementById(item);
  tmpObj.bgColor = '<xsl:value-of select="$labelbtnbgcolor"/>';
}

function ShowMessage(type,msg){
	alert(msg);
}</SCRIPT>

		<title>HighPoint Web RAID Management -- <xsl:value-of select="../@title"/></title>
	</xsl:template>
	<xsl:template name="DrawPageTail">
		<hr/>
		<font class="copyright">
			<p>HighPoint Web RAID Management <xsl:value-of select="hpt_raidman_page/session/server_version"/></p>
			<p>Copyright (c) 1996-2007 HighPoint Technologies, Inc. All Rights Reserved</p>
		</font>
	</xsl:template>

	<xsl:template match="hpt_raidman_page/messages">
		<!--xsl:for-each select="message">
		<p>
		<xsl:if test="@type='error'">
			<font class="error">Error:<xsl:value-of select="."/></font>
		</xsl:if>
		<xsl:if test="@type='info'">
			<font class="info">Information:<xsl:value-of select="."/></font>
		</xsl:if>
		<xsl:if test="@type='warn'">
			<font class="warn">Warning:<xsl:value-of select="."/></font>
		</xsl:if>
		</p>
	</xsl:for-each>
		<hr/-->
	</xsl:template>
	<xsl:template name="DrawTopMenu">
		<table border="0" width="759" id="table2" background="banner1.gif" height="50" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<table border="0" width="100%" id="table2" height="50" cellpadding="0" cellspacing="0">
						<tr>
							<td width="420" height="25"><img width="0" src=""/></td>
							<td width="339" height="25"></td>
						</tr>
						<tr>
							<td height="25">
								<table cellSpacing="0" bgColor="{$menubgcolor}" width="490" border="0" borderColor="{$menubdcolor}" cellPadding="0" id="table3">
									<tbody>
										<!--tr>
											<td id="arrman" width="60" onmouseout="OutItem('arrman',1);return true;" onclick="go_page('arrman')" style="cursor: pointer; text-align: center" onmouseover="OverItem('arrman',1);return true;">
												<font class="menu">Array</font>
											</td>
											<td id="devman" width="60" onmouseout="OutItem('devman',1);return true;" onclick="go_page('devman')" style="cursor: pointer; text-align: center" onmouseover="OverItem('devman',1);return true;">
												<font class="menu">Device</font>
											</td>
											<td id="spare" width="60" onmouseout="OutItem('spare',1);return true;" onclick="go_page('spare')" style="cursor: pointer; text-align: center" onmouseover="OverItem('spare',1);return true;">
												<font class="menu">Spare</font>
											</td>
											<td id="task" width="60" onmouseout="OutItem('task',1);return true;" onclick="go_page('task')" style="cursor: pointer; text-align: center" onmouseover="OverItem('task',1); return true;">
												<font class="menu">Task</font>
											</td>
											<td id="event" width="60" onmouseout="OutItem('event',1);return true;" onclick="go_page('event')" style="cursor: pointer; text-align: center" onmouseover="OverItem('event',1); return true;">
												<font class="menu">Event</font>
											</td>
											<td id="setting" width="60" onmouseout="OutItem('setting',1);return true;" onclick="go_page('setting')" style="cursor: pointer; text-align: center" onmouseover="OverItem('setting',1);return true;">
												<font class="menu">Setting</font>
											</td>
											<td id="logout" width="60" onmouseout="OutItem('logout',1);return true;" onclick="logout();" style="cursor: pointer; text-align: center" onmouseover="OverItem('logout',1);return true;">
												<font class="menu">Logout</font>
											</td>
										</tr-->
										<tr>
											<td id="manage" width="17%" onmouseout="OutItem('manage',1);return true;" style="cursor: pointer; text-align: center" onmouseover="OverItem('manage',1); ShowMenu('menu1','manage');return true;">
												<font class="menu">Manage</font>
											</td>
											<td id="Event" width="17%" onmouseout="OutItem('Event',1);return true;" onclick="go_page('event')" style="cursor: pointer; text-align: center" onmouseover="OverItem('Event',1);HideMenu();return true;">
												<font class="menu">Event</font>
											</td>
											<td id="task" width="17%" onmouseout="OutItem('task',1);return true;" onclick="go_page('task')" style="cursor: pointer; text-align: center" onmouseover="OverItem('task',1);HideMenu();return true;">
												<font class="menu">Task</font>
											</td>
											<td id="setting" width="17%" onmouseout="OutItem('setting',1);return true;" onclick="go_page('setting')" style="cursor: pointer; text-align: center" onmouseover="OverItem('setting',1);HideMenu();return true;">
												<font class="menu">Setting</font>
											</td>
											<td id="logout" width="17%" onmouseout="OutItem('logout',1);return true;" onclick="logout()" style="cursor: pointer; text-align: center" onmouseover="OverItem('logout',1);HideMenu();return true;">
												<font class="menu">Logout</font>
											</td>
											<td id="help" width="17%" onmouseout="OutItem('help',1);return true;" onclick="new_page('old_helpindex.htm')" style="cursor: pointer; text-align: center" onmouseover="OverItem('help',1);HideMenu();return true;">
												<font class="menu">Help</font>
											</td>
										</tr>
										<tr>
											<td height="0">
												<DIV id="menu1" style="Z-INDEX: 1; VISIBILITY: hidden; POSITION: absolute">
													<TABLE cellSpacing="0" bordercolor="{$menubdcolor}" width="85" border="0" bgcolor="{$menubgcolor}" cellPadding="0">
														<TBODY>
															<TR>
																<TD id="arrman" onmouseout="OutItem('arrman',1);return true;" onclick="go_page('arrman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('arrman',1);return true;">
																	<font class="menu">Array</font>
																</TD>
															</TR>
															<TR>
																<TD id="devman" onmouseout="OutItem('devman',1);return true;" onclick="go_page('devman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('devman',1);return true;">
																	<font class="menu">Device</font>
																</TD>
															</TR>
															<TR>
																<TD id="spareman" onmouseout="OutItem('spareman',1);return true;" onclick="go_page('spareman')" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: center" onmouseover="OverItem('spareman',1);return true;">
																	<font class="menu">Spare Pool</font>
																</TD>
															</TR>
														</TBODY>
													</TABLE>
												</DIV>
											</td>
											<td/>
											<td/>
											<td/>
											<td/>
											<td/>
										</tr>
									</tbody>
								</table>
							</td>
							<td height="25"></td>
						</tr>
					</table>
				</td>
			</tr>
			<!--tr>
				<td height="20" width="100%" background="toolbar.gif">
				</td>
			</tr-->
		</table>
		<p/>
	</xsl:template>
	<xsl:template name="DrawLabelBtn">
		<xsl:param name="caption">Button</xsl:param>
		<xsl:param name="btnid">LabelBtn</xsl:param>
		<xsl:param name="onclick">OnClick</xsl:param>
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td id="{$btnid}" onmouseout="OutLabelBtn('{$btnid}',1);return true;" onclick="{$onclick}" style="cursor: pointer; text-align: center" onmouseover="OverLabelBtn('{$btnid}',1);return true;" bgcolor="{$labelbtnbgcolor}">
					<font class="labelbtn"><u><xsl:value-of select="$caption"/></u></font>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>