<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">
	function Smart_Enable(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="EnableSmart";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table cellpadding="3" cellspacing="5">
									<tr>
										<td class="diskattrname" height="30">Device Name</td>
										<td>
											<xsl:value-of select="hpt_raidman_page/smart_info/disk_name"/>
										</td>
									</tr>
									<tr>
										<td class="diskattrname">Model Number</td>
										<td>
											<xsl:value-of select="hpt_raidman_page/smart_info/model"/>
										</td>
									</tr>
									<tr>
										<td class="diskattrname">Temperature Celsius</td>
										<td>
											<xsl:value-of select="hpt_raidman_page/smart_info/temperature"/>
										</td>
									</tr>
									<tr>
										<td class="diskattrname">S.M.A.R.T</td>
										<td>
											<xsl:if test="hpt_raidman_page/smart_info/enable='true'">Enabled
												<button onclick="Smart_Enable('{hpt_raidman_page/smart_info/disk_id}')">Disable</button>
											</xsl:if>
											<xsl:if test="hpt_raidman_page/smart_info/enable='false'">Disabled
												<button onclick="Smart_Enable('{hpt_raidman_page/smart_info/disk_id}')">Enable</button>
											</xsl:if>
										</td>
									</tr>
									<tr>
										<td class="diskattrname">Status</td>
										<td>
											<xsl:if test="hpt_raidman_page/smart_info/status='OK'">
												<font class="normal">
													<xsl:value-of select="hpt_raidman_page/smart_info/status"/>
												</font>
											</xsl:if>
											<xsl:if test="hpt_raidman_page/smart_info/status!='OK'">
												<font class="normal">
													<xsl:value-of select="hpt_raidman_page/smart_info/status"/>
												</font>
											</xsl:if>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:if test="hpt_raidman_page/smart_info/enable='true'">
									<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
								</xsl:if>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="smart_info">
		<table id="smartattrtable" width="{$pagewidth}">
			<tr>
				<td class="title" align="center">S.M.A.R.T Attributes</td>
			</tr>
			<tr>
				<td class="content">
					<table width="100%" cellpadding="4">
						<tr>
							<td class="diskattrname">ID</td>
							<td class="diskattrname">Name</td>
							<td class="diskattrname">Threshold</td>
							<td class="diskattrname">Worst</td>
							<td class="diskattrname">Value</td>
							<td class="diskattrname">Status</td>
						</tr>
						<xsl:for-each select="attribute">
							<tr>
								<td>
									<xsl:value-of select="@id"/>
								</td>
								<td>
									<xsl:value-of select="name"/>
								</td>
								<td>
									<xsl:value-of select="threshold"/>
								</td>
								<td>
									<xsl:value-of select="worst"/>
								</td>
								<td>
									<xsl:value-of select="value"/>
								</td>
								<td>
									<xsl:if test="@status='normal'">
										<font class="normal">OK</font>
									</xsl:if>
									<xsl:if test="@status!='normal'">
										<font class="critical">FAILED</font>
									</xsl:if>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
			<tr>
				<td class="title" align="center">Preferences</td>
			</tr>
			<tr>
				<td class="content">
					<form name="smarttask" method="POST">
						<input type="hidden" name="func" value="SetSmartTask"/>
						<input type="hidden" name="devid" value="{disk_id}"/>
						<input type="checkbox" name="enable_check" value="ON">
							<xsl:if test="count(smart_task)!=0">
								<xsl:attribute name="checked"/>
							</xsl:if>
						</input>
						Poll this disk every
						<input type="text" size="3" maxlength="3" name="frequency">
							<xsl:if test="count(smart_task/frequency)!=0">
								<xsl:attribute name="value">
									<xsl:value-of select="smart_task/frequency"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="count(smart_task/frequency)=0">
								<xsl:attribute name="value">1</xsl:attribute>
							</xsl:if>
						</input>
						<select name="unit">
							<option>Minutes
								<xsl:if test="smart_task/unit='minute'">
									<xsl:attribute name="selected"/>
								</xsl:if>
							</option>
							<option>
								<xsl:if test="smart_task/unit='hour'">
									<xsl:attribute name="selected"/>
								</xsl:if>
								Hours
							</option>
						</select>
						<p>
							<input type="submit" name="Submit" value="Submit"/>
						</p>
					</form>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>